| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::KeywordSearchWriter Class Reference
Inheritance diagram for Digikam::KeywordSearchWriter:

## Public Member Functions
QString | xml (const QStringList &keywordList)
Public Member Functions inherited from Digikam::SearchXmlWriter
| SearchXmlWriter ()
| Note that SearchXmlWriter and SearchXmlGroupWriter rely on you calling the methods following the restrictions set by the documentation; Otherwise you will not produce the desired output.
void | finish ()
| Finish the XML.
void | finishField ()
| Finish writing the current field.
void | finishGroup ()
| Finish the current group.
void | setDefaultFieldOperator (SearchXml::Operator op)
| Sets the default operator for fields in this group "(field1 AND field2 AND ... fieldn)".
void | setFieldOperator (SearchXml::Operator op)
| Adds an optional operator overriding the default field operator of the group.
void | setGroupCaption (const QString &caption)
| Sets an optional caption.
void | setGroupOperator (SearchXml::Operator op)
| Sets the operator applied to the group as a whole "OR (field1 ... fieldn)".
void | writeField (const QString &name, SearchXml::Relation relation)
| Adds a new field with the given name (entity) and relation, "Rating less than ...".
void | writeGroup ()
| Adds a group.
void | writeValue (const QDateTime &dateTime)
void | writeValue (const QList< double > &valueList, int precision=8)
void | writeValue (const QList< float > &valueList, int precision=6)
void | writeValue (const QList< int > &valueList)
void | writeValue (const QList< QDateTime > &valueList)
void | writeValue (const QList< qlonglong > &valueList)
void | writeValue (const QString &value)
| Adds the value, "4" in the case of "Rating less than 4".
void | writeValue (const QStringList &valueList)
void | writeValue (double value, int precision=8)
void | writeValue (float value, int precision=6)
void | writeValue (int value)
void | writeValue (qlonglong value)
QString | xml () const
| Get the created XML.

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::SearchXmlWriter
static QString | keywordSearch (const QString &keyword)
| Returns ready-made XML for a query of type "keyword" with the specified text as keyword.
Protected Member Functions inherited from Digikam::SearchXmlWriter
void | writeOperator (const QString &, SearchXml::Operator)
void | writeRelation (const QString &, SearchXml::Relation)
Protected Attributes inherited from Digikam::SearchXmlWriter
QString | m_xml